### 5.1.116 parstr

`Syntax:`
  `parstr (` ring_name `)`
  `parstr (` int_expression `)`
  `parstr (` ring_name`,` int_expression `)`
`Type:`
  string
`Purpose:`
  returns the list of parameters of the ring as a string or the name of the n-th parameter where n is given by the int_expression.
  If the ring_name is omitted, the basering is used, thus `parstr(n)` is equivalent to `parstr(basering,n)`.
`Example:`

        ring r=(7,a,b,c),(x,y),wp(2,3);
        parstr(r);
      ==> a,b,c
        parstr(2);
      ==> b
        parstr(r,3);
      ==> c

See charstr; npars; ordstr; ring; varstr.

User manual for Singular version 4.4.1, 2025, generated by texi2html.